$(document).ready(function(){
	//楼盘征集达人 楼盘选择
	$(".collect-pr span").on("click",function(){
		if($(this).hasClass("collect-dis")){
			return;
		}else{
			$(".collect-pr span").removeClass("collect-on");
			$(this).addClass("collect-on");
		}
	})

	var lheight = $(".collect-pic .fl").height();
	var rheight = $(".collect-pic .fr").height();
	if(lheight >= rheight){
		$(".collect-pic .fl").css("border-right","1px solid #d9dcde");
	}else{
		$(".collect-pic .fr").css("border-left","1px solid #d9dcde");
	}
	
	//提交
	$(".collect-btn").on("click",function(){
			var flag_id =$(".collect-on").attr('flag_id');
			if(typeof(flag_id)=="undefined"){
                alert("请选择要认领的小区");
                return false;
			}
			//alert("123");
        	var url = '/personal_house/get_block_claim/';
			$.ajax({
				url : url,
				type : 'post',
				dataType:'json',
				data : {id:flag_id},
				success : function(data){
                    openWin("dialogtc2");
                    $("#dialogSaveDiv1").empty().html(data.blockname);
                    $("#dialogSaveDiv2").empty().html(data.msg);
				}
			});

	})

	$("#dialog_url2").on("click",function () {
		$("#dialogtc2").css('display','none');
        var flag_id =$(".collect-on").attr('flag_id'); //小区id
        var url = '/personal_house/set_block_claim/';
        $.ajax({
            url : url,
            type : 'post',
            data : {id:flag_id},
			dataType:'json',
            success : function(data){
            	//return false;
            	//alert(data.status);
                if(data.status==1)
                {
                    openWin("dialogtc3");

                }else
                {
                    openWin("dialogtc4");
                }
                setTimeout(function(){window.location.reload();}, 1000);

            }
        });

    })
	
	//楼盘征集达人 楼盘选择
	/*
	$(".collect-rnum span").on("click",function(){
		if($(this).hasClass("collect-dis")){
			return;
		}else{
			$(".collect-rnum span").removeClass("collect-on");
			$(this).addClass("collect-on");
			openWin("jsDialog");
			$("#jsDialog .text").empty().html("弹框文字");
		}
	})
	*/
	
})

//楼盘征集达人 地区切换
function changeBlock(obj){
	$(".collect-pl p").removeClass("collect-arr");
	$(obj).addClass("collect-arr");
}
